/*
	Dieses Programm öffnet eine Verbindung zum PSION
	Es übernimmt das Management des Linkprotokolls incl.
	CRC-Summe und Kanalnummern	
*/

#include "PsiNCPWindow.h"
#include "PsionNCP.h"
#include <stdio.h>

PsiNCPWindow	*myWindow;
BSerialPort	*Port;							// Der Zeiger auf den einen BSerialPort
BButton		*BButt_conn, *BButt_disc;		// Zwei Zeiger auf die Buttons connect und disconnect
data_rate	DataRate;						// Enthält aktuelle Datenrate
char		PortName[B_FILE_NAME_LENGTH];	// Enthält den Portnamen des seriellen Ports!
bool		connected;						// true = Verbindung hergestellt, Fenster darf nicht geschlossen werden!
bool		debug;							// true, dann wird für jeden Port eine Datei mitgeschrieben!

// Ab hier gehts los!

int main(int argc, char **argv)
{	
	PsionNCP	myPsiNCP;

//	PROFILE_INIT(10);
	myPsiNCP.Run();
//	PROFILE_DUMP("profile.datei");
	return(0);
}

// Programmstart

PsionNCP::PsionNCP() : BApplication( MY_MIME_TYPE )
{
	BRect			aRect;
	
	// set up a rectangle and instantiate a new window
	aRect.Set(100, 100, 500, 350);
	myWindow = new PsiNCPWindow(aRect);
			
	// make window visible
	myWindow->Show();
}

PsionNCP::~PsionNCP()	// There is nothing to do, when the program ends
{
}
